package nc.ui.gl.assattributebanlance;

import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.bs.logging.Logger;
import nc.ui.gl.assattributebanlance.BalanceSubjAssModel;
import nc.ui.gl.assattributebanlance.BalanceSubjAssView;
import nc.ui.gl.assattributebanlance.ButtonKey;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ToftPanel;
import nc.vo.pub.BusinessException;

public class ToftPanelView extends ToftPanel implements IUiPanel {

   private ButtonObject[] m_Buttons = null;
   public IParent p_parent;
   private BalanceSubjAssView ivjBalanceSubjAssView1 = null;


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   private BalanceSubjAssView getBalanceSubjAssView1() {
      if(this.ivjBalanceSubjAssView1 == null) {
         try {
            this.ivjBalanceSubjAssView1 = new BalanceSubjAssView();
            this.ivjBalanceSubjAssView1.setName("BalanceSubjAssView1");
            this.ivjBalanceSubjAssView1.setBounds(0, 1, 774, 413);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjBalanceSubjAssView1;
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000464");
   }

   private void handleException(Throwable exception) {
      Logger.debug("--------- 未捕捉到的异常 ---------");
      exception.printStackTrace(System.out);
   }

   private void initButtons() {
      this.m_Buttons = new ButtonObject[12];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnLocate);
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnDetail);
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnAccum);
      this.m_Buttons[4] = new ButtonObject(ButtonKey.bnRefresh);
      this.m_Buttons[5] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[6] = new ButtonObject(ButtonKey.bnRecover);
      this.m_Buttons[7] = new ButtonObject(ButtonKey.bnSwitch);
      this.m_Buttons[8] = new ButtonObject(ButtonKey.bnFirst);
      this.m_Buttons[9] = new ButtonObject(ButtonKey.bnPriv);
      this.m_Buttons[10] = new ButtonObject(ButtonKey.bnNext);
      this.m_Buttons[11] = new ButtonObject(ButtonKey.bnEnd);
      this.setButtons(this.m_Buttons);
      this.m_Buttons[1].setVisible(false);
      this.m_Buttons[3].setVisible(false);
      this.m_Buttons[6].setVisible(false);
   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setLayout((LayoutManager)null);
         this.setSize(774, 419);
         this.add(this.getBalanceSubjAssView1(), this.getBalanceSubjAssView1().getName());
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initButtons();
      this.getBalanceSubjAssView1().setBillModel(new BalanceSubjAssModel());
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getBalanceSubjAssView1().tackleBnsEvent(e);
            }
         }
      } catch (BusinessException var3) {
         this.showErrorMessage(var3.getMessage());
      } catch (Exception var4) {
         var4.printStackTrace();
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent parent) {
      parent.getUiManager().removeAll();
      parent.getUiManager().add(this, this.getName());
      this.p_parent = parent;
      this.getBalanceSubjAssView1().setIParent(this.p_parent);
   }
}
